Summary: A high-level language for numerical computations.
Name: scilab
Version: 2.4.1
Release: 2
Copyright: INRIA
Group: Applications/Engineering

%define	FTPSITEDIR	ftp://ftp.inria.fr/INRIA/Projects/Meta2/Scilab
Source0: %{FTPSITEDIR}/scilab-%{version}-src.tar.gz
Source1: %{FTPSITEDIR}/scilab-%{version}-contrib.tar.gz

Patch0: scilab-%{version}-rh.patch
Patch1: scilab-%{version}-alpha.patch
Patch2: scilab-%{version}-jbj.patch
Patch3: scilab-%{version}-glibc21.patch

URL: http://www-rocq.inria.fr/scilab
#ExclusiveArch: i386
Prefix: /usr
BuildRoot: /var/tmp/scilab-root

%description
Scilab is a high-level language, primarily intended for numerical
computations.  Scilab includes a number of toolboxes and on-line
documentation.

%prep
%setup -q

mkdir contrib
cd contrib
tar xzf %{SOURCE1}
cd ..

%patch0 -p1 -b .rh
%patch1 -p1 -b .alpha
%patch2 -p1 -b .jbj
%patch3 -p1 -b .glibc21

%build
./configure --prefix=/usr --enable-shared \
	--with-x --with-gnu ${RPM_ARCH}-redhat-linux

make CC_OPTIONS="$RPM_OPT_FLAGS -Dlinux -D_GNU_SOURCE -fwritable-strings" all
# hack
cd geci 
make CC_OPTIONS="$RPM_OPT_FLAGS -Dlinux -fwritable-strings" all
cd ../intersci
make CC_OPTIONS="$RPM_OPT_FLAGS -Dlinux -fwritable-strings" all
cd ..

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib}

find . -type f -name '*.orig' -exec rm {} \;
make tarbindist 2>&1 > /dev/null
( cd $RPM_BUILD_ROOT/usr/lib; tar xf $RPM_BUILD_DIR/scilab-2.*-bin.tar )

# Nuke dependencies on /bin/SCILABGS and /bin/sh5
( cd $RPM_BUILD_ROOT/usr/lib/scilab-*
  chmod -x ./scripts/scilab.g
  for F in ./bin/dold
  do
    perl -pi -e s+/bin/sh5+/bin/sh+ ${F}
  done
)

# Nuke attempts to setenv SCI from build directory.
( cd $RPM_BUILD_ROOT/usr/lib/scilab-*
  for F in `grep -l ${RPM_BUILD_DIR} ./util/* ./bin/*`
  do
    perl -pi -e "s+${RPM_BUILD_DIR}+/usr/lib+" ${F}
  done
)

# Add /usr/bin/scilab symlink
( cd $RPM_BUILD_ROOT/usr/bin
  ln -s ../lib/scilab-*/bin/scilab scilab
)

# Clean up some perms stuff so we don't get bogus dependencies
cd $RPM_BUILD_ROOT/usr/lib/scilab-*/
chmod a-x `find . -type f -name "Makefile.*"`

%clean
rm -rf $RPM_BUILD_ROOT
rm -f ../scilab-2.*-bin.tar

%files
%defattr(-,root,root)
/usr/bin/scilab
/usr/lib/scilab-*

%changelog
* Wed May 12 1999 Bill Nottingham <notting@redhat.com>
- clean up dependencies

* Wed May 05 1999 Bill Nottingham <notting@redhat.com>
- update to 2.4.1

* Fri Oct 23 1998 Jeff Johnson <jbj@redhat.com>
- Upgrade to 2.4.

* Thu Oct 22 1998 Jeff Johnson <jbj@redhat.com>
- Fixes to permit compile on alpha.
- Eliminate lurking dependencies on /bin/sh5 and SCILABGS.
- Modify default value of SCI variable to be correct for users.
- Add /usr/bin/scilab symlink.

* Sat Jul 11 1998 Jeff Johnson <jbj@redhat.com>
- Create powertools package.
